<?xml version="1.0" encoding="UTF-8"?>
<configuration>
  <system.webServer>
    <heliconZoo>
      <application name="django.project">
        <environmentVariables>
          <add name="VIRTUAL_ENV" value="%APPL_PHYSICAL_PATH%\venv" />
          <add name="PATH" value="%APPL_PHYSICAL_PATH%\venv\Scripts;%PATH%" />
          <add name="PYTHONPATH" value="%APPL_PHYSICAL_PATH%\venv\lib\site-packages;%APPL_PHYSICAL_PATH%\venv\lib;%APPL_PHYSICAL_PATH%\osqa_project" />
          <add name="DJANGO_SETTINGS_MODULE" value="settings" />
          <add name="CURRENT_DIRECTORY" value="%APPL_PHYSICAL_PATH%\osqa_project" />
          <add name="django.root" value="%APPL_VIRTUAL_PATH%" />
          <add name="DEPLOY_FILE" value="deploy.py" />
          <!-- <add name="DEPLOY_LOG" value="deploy.log" /> -->
          <add name="ERROR_LOG_DIR"  value="logs" />
        </environmentVariables>
      </application>
    </heliconZoo>
    <handlers>
    
      <add name="django.project#x86" scriptProcessor="python.2.7.wsgi" path="*" verb="*" modules="HeliconZoo_x86" preCondition="bitness32" resourceType="Unspecified" requireAccess="Script" />
      <add name="django.project#x64" scriptProcessor="python.2.7.wsgi" path="*" verb="*" modules="HeliconZoo_x64" preCondition="bitness64" resourceType="Unspecified" requireAccess="Script" />
    
    </handlers>
    <rewrite>
        <rules>
            <rule name="Map /m/ url to static files directly" stopProcessing="true">
                <match url="^m/(.+)$" />
                <action type="Rewrite" url="osqa_project/forum/skins/{R:1}" />
            </rule>
            <rule name="Map /admin_media/ url to admin media files directly" stopProcessing="true">
                <match url="^admin_media/(.+)$" />
                <action type="Rewrite" url="venv/Lib/site-packages/django/contrib/admin/media/{R:1}" />
            </rule>
        </rules>
    </rewrite>
  </system.webServer>
</configuration>



